Subject: bug#20404: 25.0.50; Sometimes no fontification with jit-lock-defer-time

From: Eli Zaretskii <[email-masked]>
Date: Thu, 23 Apr 2015 09:35:57 +0300

> From: Tassilo Horn <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Thu, 23 Apr 2015 06:15:25 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Tassilo Horn <[email-masked]>
> >> Date: Wed, 22 Apr 2015 22:10:21 +0200
> >> Cc: Alan Mackenzie <[email-masked]>, [email-masked]
> >> 
> >> Maybe keyboard events don't count as pending input?
> >
> > ??? Of course they do.
> 
> Well, then jit-lock-defer-time == 0 doesn't work here as documented.  It
> doesn't seem to defer anything although there must be dozens or hundreds
> of pending keyboard events when I press and hold `C-v'.

I think I explained this back when there was a very long discussion of
Alan's fast-but-imprecise-scrolling patch.